function [ fenetre, boutons ] = affichage()
%AFFICHAGE Permet d'afficher le fenêtre graphique de l'accordeur.
%   AFFICHAGE() Ouvre et prépare la fenêtre graphique dans laquelle seront
%   renvoyées les informations et instructions destinées à l'utilisateur
%   de l'accordeur.
%   La fonction renvoie [FENETRE,BOUTONS], FENETRE correspond à la fenêtre
%   graphique ouverte, BOUTONS à un vecteur contenant les "boutons" de
%   cette dernière: ils vont de celui correspond à l'affichage "-50" à
%   celui correspondant à l'affichage "+50", et le dernier est le slide.

%% Paramètres

police_accordage=15;

xbas=300;
ybas=100;
xhaut=880;                  
yhaut=600;
couleur_fenetre=[0.95 0.95 0.95];   % couleur du fond
% paramètres du titre
nom_titre='Accordeur';
taille_titre=35;

% paramètres des boutons indiquant le niveau d'accordage
t=floor(xhaut/11); % taille case
y=yhaut-300; %position case
couleur_50=[1 0.2 0]; % couleur de la case indiquant le désacordage maxi
couleur_40=[1 0.5 0];
couleur_30=[1 0.9 0];
couleur_20=[1 1 0];
couleur_10=[1 1 0.6];
couleur_0=[0 1 0];    % couleur de la case indiquant qu'on est accordé

%% Création de la fenêtre 

fenetre = figure;
set(fenetre, 'Name', 'Accordeur', 'NumberTitle', 'off');
set(fenetre, 'position', [xbas,ybas,xhaut,yhaut]);
set(fenetre, 'Color', couleur_fenetre);

titre=uicontrol(fenetre, 'style', 'text', 'String', nom_titre);
set(titre, 'fontsize', taille_titre, 'position', [0,yhaut-50,xhaut,50]);


%% Définition de l'affichage de l'accordage

groupe = uibuttongroup('Position',[0 0 2 2]);

moins50=uicontrol(fenetre, 'style', 'radio', 'String', '  -50');
set(moins50, 'fontsize', police_accordage, 'position', [0,y,t,50]);
set(moins50, 'BackgroundColor', couleur_50, 'parent', groupe);

moins40=uicontrol(fenetre, 'style', 'radio', 'String', '  -40');
set(moins40, 'fontsize', police_accordage, 'position', [t,y,2*t,50]);
set(moins40, 'BackgroundColor', couleur_40, 'parent', groupe);

moins30=uicontrol(fenetre, 'style', 'radio', 'String', '  -30');
set(moins30, 'fontsize', police_accordage, 'position', [2*t,y,3*t,50]);
set(moins30, 'BackgroundColor', couleur_30, 'parent', groupe);

moins20=uicontrol(fenetre, 'style', 'radio', 'String', '  -20');
set(moins20, 'fontsize', police_accordage, 'position', [3*t,y,4*t,50]);
set(moins20, 'BackgroundColor', couleur_20, 'parent', groupe);

moins10=uicontrol(fenetre, 'style', 'radio', 'String', '  -10');
set(moins10, 'fontsize', police_accordage, 'position', [4*t,y,5*t,50]);
set(moins10, 'BackgroundColor', couleur_10, 'parent', groupe);

zero_bouton=uicontrol(fenetre, 'style', 'radio', 'String', '   0');
set(zero_bouton, 'fontsize', police_accordage, 'position', [5*t,y,6*t,50]);
set(zero_bouton, 'BackgroundColor', couleur_0, 'parent', groupe);

plus10=uicontrol(fenetre, 'style', 'radio', 'String', '  +10');
set(plus10, 'fontsize', police_accordage, 'position', [6*t,y,7*t,50]);
set(plus10, 'BackgroundColor', couleur_10, 'parent', groupe);

plus20=uicontrol(fenetre, 'style', 'radio', 'String', '  +20');
set(plus20, 'fontsize', police_accordage, 'position', [7*t,y,8*t,50]);
set(plus20, 'BackgroundColor', couleur_20, 'parent', groupe);

plus30=uicontrol(fenetre, 'style', 'radio', 'String', '  +30');
set(plus30, 'fontsize', police_accordage, 'position', [8*t,y,9*t,50]);
set(plus30, 'BackgroundColor', couleur_30, 'parent', groupe);

plus40=uicontrol(fenetre, 'style', 'radio', 'String', '  +40');
set(plus40, 'fontsize', police_accordage, 'position', [9*t,y,10*t,50]);
set(plus40, 'BackgroundColor', couleur_40, 'parent', groupe);

plus50=uicontrol(fenetre, 'style', 'radio', 'String', '  +50');
set(plus50, 'fontsize', police_accordage, 'position', [10*t,y,11*t,50]);
set(plus50, 'BackgroundColor', couleur_50, 'parent', groupe);


slide=uicontrol(fenetre,'style','slider' , 'Min' , -55 , 'Max' , 55 );
set(slide, 'position', [-14,yhaut-317,xhaut+32,20]);
set(slide, 'BackgroundColor', [0 0 0], 'Sliderstep', [0.01 0.01] );
boutons=[moins50,moins40,moins30,moins20,moins10,zero_bouton,plus10,...
    plus20,plus30,plus40,plus50,slide];

end

